Yodel Out of Home offers domestic shipping services, including Pickup/Dropoff (PUDO) services, for shipments originating in Great Britain.
This guide provides developers with the details needed to build Yodel Out of Home shipping capabilities into your ShipStation API workflows.
ShipStation API also allows you to connect a Yodel account or use the Yodel services included with ShipStation API. The requirements and service details are different than those for a Yodel Out of Home account. For details about using Yodel from ShipStation, see our Yodel from ShipStation Guide. For details about using Yodel services, see our Yodel Guide.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | To identify your Yodel Out of Home account in ShipStation API. |
api_key | string | Required | Your Yodel Out of Home account API Key |
client_password | string | Required | Your Yodel Out of Home account Client Password |
client_id | string | Required | Your Yodel Out of Home account Client User ID |
client_name | string | Optional | Your Yodel Out of Home account Client Name |
You can connect a Yodel Out of Home account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
For instructions on connecting Yodel Out of Home via the ShipStation API dashboard, go to our Yodel Out of Home help article.
carrier_name: yodel_collect_plus_c2c
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/yodel_collect_plus_c2c HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"client_id": "ID1234"
"client_password": "123456789",
"api_key": "abcxyz123456",
"client_name": "Example Corp.",
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Yodel Out of Home does not send estimated rates to ShipStation API. Your Yodel account contact can provide you with the details about your contracted rates.
Services with Yodel Out of Home are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| Yodel Out of Home B2Shop - Extra Large Parcel [Print at Home] | store_to_store_xl_print_home |
| Yodel Out of Home B2Shop - Extra Large Parcel [Print in Store] | store_to_store_xl_print_store |
| Yodel Out of Home B2Shop - Large Parcel [Print at Home] | store_to_store_lg_print_home |
| Yodel Out of Home B2Shop - Large Parcel [Print in Store] | store_to_store_lg_print_store |
| Yodel Out of Home B2Shop - Medium Parcel [Print at Home] | store_to_store_md_print_home |
| Yodel Out of Home B2Shop - Medium Parcel [Print in Store] | store_to_store_md_print_store |
| Yodel Out of Home B2Shop - Small Parcel [Print at Home] | store_to_store_sm_print_home |
| Yodel Out of Home B2Shop - Small Parcel [Print in Store] | store_to_store_sm_print_store |
| Service | API Code |
|---|---|
| Store to Home - Extra Large Parcel [Print at Home] | store_to_home_xl_print_home |
| Store to Home - Extra Large Parcel [Print in Store] | store_to_home_xl_print_store |
| Store to Home - Large Parcel [Print at Home] | store_to_home_lg_print_home |
| Store to Home - Large Parcel [Print in Store] | store_to_home_lg_print_store |
| Store to Home Medium Parcel [Print at Home] | store_to_home_med_print_home |
| Store to Home Medium Parcel [Print at Store] | store_to_home_med_print_store |
| Store to Home Small Parcel [Print at Home] | store_to_home_sm_print_home |
| Store to Home Small Parcel [Print at Store] | store_to_home_sm_print_store |
Yodel Out of Home assumes all shipments are C2C (consumer-to-consumer) shipments, as defined by the Windsor Framework. No additional data is required by Yodel Out of Home for shipments destined for Northern Ireland. Yodel will add a default contents description to all parcels destined for Northern Ireland.
TIP: You may find it helpful to see the Products Object section of our International Shipping page.
Yodel Out of Home does not support creating return labels.
The following carrier package types are available for Yodel Out of Home services:
| Name | API Code | Package Attributes |
|---|---|---|
| Package | yodel_collect_plus_c2c_package | Domestic |
- Label sizes: 4" x 6"
- Label formats: PDF, PNG, ZPL
Yodel Out of Home does not support adding custom label messages.
Yodel Out of Home support multi-package shipments for all services.
Yodel Out of Home does not support label branding.
Yodel Out of Home supports voiding labels with ShipStation API.
Yodel Out of Home supports paperless/QR code labels for all Print in Store services.
| Confirmation Type | API Code | Description |
|---|---|---|
| None | none | No confirmation requested |
See our Delivery Confirmation page for more details about using the confirmation property.
Yodel Out of Home does not support any advanced options.
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Yodel Out of Home does not require manifesting your shipments.
Yodel Out of Home does not support scheduling pickups.
Yodel Out of Home support shipping to service points with their PUDO-specific services.
ShipStation API's integration with Yodel Out of Home supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE: New Carrier ID Generated After Reconnection
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.